package cn.estsh.i3plus.pojo.platform.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.tool.HqlPack;
import cn.estsh.i3plus.pojo.platform.bean.*;
import org.apache.commons.lang3.StringUtils;

import java.util.List;

/**
 * @Description : 平台对象封装
 * @Reference :
 * @Author : alwaysfrin
 * @CreateDate : 2018-10-23 21:15
 * @Modify:
 **/
public class CoreHqlPack {

    /**
     * In 参数封装
     * @param columnName
     * @return
     */
    public static String packHqlIds(String columnName, String[] params){
        StringBuffer result =  new StringBuffer();

        // 参数数组 [1,2,3] -> "1,2,3"
        HqlPack.getInPack(String.join(",", params), columnName, result);
        return result.toString();
    }


    /**
     * In 参数封装
     * @param columnName
     * @return
     */
    public static String packHqlIds(String columnName, Long[] params){
        StringBuffer result =  new StringBuffer();

        // 参数数组 [1,2,3] -> "1,2,3"
        HqlPack.getInPack(StringUtils.join(params,","),columnName,result);
        return result.toString();
    }

    /**
     * 资源查询
     * @param localeResource
     * @return
     */
    public static String packHqlSysLocaleResource(SysLocaleResource localeResource){
        StringBuffer result = new StringBuffer();

        //查询日期
//        HqlPack.timeBuilder(sysLocaleResource.getCreateDateTimeStart(),sysLocaleResource.getCreateDateTimeEnd(),
//                "createDateTime", result, false);
        //数字类型封装
        HqlPack.getNumEqualPack(localeResource.getResourceType(),"resourceType",result);
        //字符串类型封装
        HqlPack.getStringEqualPack(localeResource.getLanguageCode(),"languageCode",result);
        //字符串类型封装
        HqlPack.getStringLikerPack(localeResource.getResourceKey(),"resourceKey",result);

        // 添加默认排序
        HqlPack.getOrderDefault(localeResource);

        return result.toString();
    }

    /**
     * 语言
     * @param localeLanguage
     * @return
     */
    public static String packHqlSysLocaleLanguage(SysLocaleLanguage localeLanguage) {
        StringBuffer result = new StringBuffer();

        //查询日期
//        HqlPack.timeBuilder(lang.getCreateDateTimeStart(),lang.getCreateDateTimeEnd(),
//                "createDateTime", result, false);
        //字符串类型封装
        HqlPack.getStringLikerPack(localeLanguage.getLanguageCode(),"languageCode",result);
        //字符串类型封装
        HqlPack.getStringLikerPack(localeLanguage.getLanguageName(),"languageName",result);

        // 添加默认排序
        HqlPack.getOrderDefault(localeLanguage);

        return result.toString();
    }

    /**
     * 岗位复杂查询
     * @param position
     * @return
     */
    public static String packHqlSysPosition(SysPosition position){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        HqlPack.getNumEqualPack(position.getParentId(),"parentId",result);
        HqlPack.getStringLikerPack(position.getName(),"name",result);
        HqlPack.getStringLikerPack(position.getPositionCode(),"positionCode",result);

        // 添加默认排序
        HqlPack.getOrderDefault(position);

        return result.toString();
    }

    /**
     * 组织复杂查询
     * @param organize
     * @return
     */
    public static String packHqlSysOrganize(SysOrganize organize){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        if(organize.getChildIdList() != null){
            HqlPack.getInPack(StringUtils.join(organize.getChildIdList(),","),"parentId",result);
        }

        HqlPack.getStringLikerPack(organize.getName(),"name",result);
        HqlPack.getStringLikerPack(organize.getOrganizeCode(),"organizeCode",result);

        // 添加默认排序
        HqlPack.getOrderDefault(organize);

        return result.toString();
    }

    public static String packHqlSysOrganize(Long[] ids, Integer typeId){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        HqlPack.getInPack(StringUtils.join(ids,","),"id",result);
        HqlPack.getNumEqualPack(typeId,"organizeType",result);

        return result.toString();
    }

    /**
     * 部门复杂查询
     * @param department
     * @return
     */
    public static String packHqlSysDepartment(SysDepartment department){
        StringBuffer result = new StringBuffer();

//        if(department.getOrganizeId() != null && department.getOrganizeId() > 0){
//            department.setParentId(CommonEnumUtil.PARENT.DEFAULT.getValue());
//        }

        HqlPack.getNumEqualPack(department.getParentId(),"parentId",result);
//        HqlPack.getNumEqualPack(department.getOrganizeId(),"organizeId",result);
        HqlPack.getStringLikerPack(department.getName(),"name",result);
        HqlPack.getStringLikerPack(department.getDepartmentCode(),"departmentCode",result);

        // 添加默认排序
        HqlPack.getOrderDefault(department);

        return result.toString();
    }

    /**
     * 系统权限复杂查询
     * @param menu
     * @return
     */
    public static String packHqlSysMenu(SysMenu menu){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        HqlPack.getNumEqualPack(menu.getParentId(),"parentId",result);
        HqlPack.getNumEqualPack(menu.getMenuType(),"menuType",result);
        HqlPack.getNumEqualPack(menu.getMenuStatus(),"menuStatus",result);
        HqlPack.getStringLikerPack(menu.getName(),"name",result);
        HqlPack.getStringLikerPack(menu.getMenuCode(),"menuCode",result);

        // 添加默认排序
        HqlPack.getOrderDefault(menu);

        return result.toString();
    }

    /**
     * 系统角色复杂查询
     * @param role
     * @return
     */
    public static String packHqlSysRole(SysRole role){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        HqlPack.getNumEqualPack(role.getRoleStatus(),"roleStatus",result);
        HqlPack.getStringLikerPack(role.getName(),"name",result);

        // 添加默认排序
        HqlPack.getOrderDefault(role);

        return result.toString();
    }

    /**
     * 系统参数复杂查询
     * @param config
     * @return
     */
    public static String packHqlSysConfig(SysConfig config) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(config.getName(),"name",result);
        HqlPack.getStringLikerPack(config.getConfigCode(),"configCode",result);
        HqlPack.getNumEqualPack(config.getConfigType(),"configType",result);

        // 添加默认排序
        HqlPack.getOrderDefault(config);

        return result.toString();
    }

    /**
     * 字典信息复杂查询
     * @param dictionary
     * @return
     */
    public static String packHqlSysDictionary(SysDictionary dictionary) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(dictionary.getName(), "name", result);
        HqlPack.getStringLikerPack(dictionary.getDictionaryCode(), "dictionaryCode", result);
        HqlPack.getNumEqualPack(dictionary.getDictionarySoftType(), "dictionarySoftType", result);
        // 默认查询非顶级字典
        if (dictionary.getParentId() == null || dictionary.getParentId() < 1){
            HqlPack.getNumNOEqualPack(CommonEnumUtil.PARENT.DEFAULT.getValue(), "parentId", result);
        }
        HqlPack.getNumEqualPack(dictionary.getParentId(), "parentId", result);

        // 添加默认排序
        HqlPack.getOrderDefault(dictionary);

        return result.toString();
    }

    /**
     * 硬件类型复杂查询
     * @param toolType
     * @return
     */
    public static String packHqlSysToolType(SysToolType toolType) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(toolType.getName(),"name",result);

        // 添加默认排序
        HqlPack.getOrderDefault(toolType);

        return result.toString();
    }

    /**
     * 硬件复杂查询
     * @param tool
     * @return
     */
    public static String packHqlSysTool(SysTool tool) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(tool.getName(),"name",result);
        HqlPack.getNumEqualPack(tool.getToolTypeId(),"toolTypeId",result);
        HqlPack.getNumEqualPack(tool.getToolStatus(),"toolStatus",result);
        HqlPack.getNumEqualPack(tool.getToolDataType(),"toolDataType",result);
        HqlPack.getNumEqualPack(tool.getToolConnType(),"toolConnType",result);
        HqlPack.getStringLikerPack(tool.getToolIp(),"toolIp",result);
        HqlPack.getNumLikerPack(tool.getToolPort(),"toolPort",result);

        // 添加默认排序
        HqlPack.getOrderDefault(tool);

        return result.toString();
    }

    /**
     * 消息复杂查询
     * @param message
     * @return
     */
    public static String packHqlSysMessage(SysMessage message){
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(message.getMessageTitle(),"messageTitle",result);
        HqlPack.getStringLikerPack(message.getMessageContent(),"messageContent",result);
        HqlPack.getNumEqualPack(message.getMessageType(),"messageType",result);
        HqlPack.getStringLikerPack(message.getMessageSenderNameRdd(),"messageSenderNameRdd",result);
        HqlPack.getStringLikerPack(message.getMessageReceiversNameRdd(),"messageReceiversNameRdd",result);
        HqlPack.timeBuilder(message.getMessageSendTime(),"messageSendTime", result, false,false);
        HqlPack.getNumEqualPack(message.getMessageSenderId(),"messageSenderId",result);

        // 添加默认排序
        HqlPack.getOrderDefault(message);

        return  result.toString();
    }

    /**
     * 文件资源复杂查询
     * @param file
     * @return
     */
    public static String packHqlSysFile(SysFile file) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(file.getFileOriginalName(),"fileOriginalName",result);
        HqlPack.getNumEqualPack(file.getFileTypeId(),"fileTypeId",result);
        HqlPack.getStringLikerPack(file.getCreateUser(),"createUser",result);
        HqlPack.timeBuilder(file.getCreateDatetime(),"createDatetime",result,false,false);

        // 添加默认排序
        HqlPack.getOrderDefault(file);

        return  result.toString();
    }

    /**
     * 任务周期复杂查询
     * @param taskTimeExpression
     * @return
     */
    public static String packHqlSysTaskCycle(SysTaskCycle taskTimeExpression) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(taskTimeExpression.getName(),"name",result);

        // 添加默认排序
        HqlPack.getOrderDefault(taskTimeExpression);

        return  result.toString();
    }

    /**
     * 定时任务复杂查询
     * @param taskTime
     * @return
     */
    public static String packHqlSysTaskPlan(SysTaskPlan taskTime){
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(taskTime.getName(),"name",result);
        HqlPack.getNumEqualPack(taskTime.getTaskPlanStatus(),"taskPlanStatus",result);
        HqlPack.getNumEqualPack(taskTime.getTaskCycleId(),"taskCycleId",result);

        // 添加默认排序
        HqlPack.getOrderDefault(taskTime);

        return  result.toString();
    }

    /**
     * 账号复杂查询
     * @param user
     * @return
     */
    public static String packHqlSysUser(SysUser user){
        StringBuffer result = new StringBuffer();

        // And X = X
        HqlPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(),"isValid",result);
        HqlPack.getNumEqualPack(user.getDepartmentId(),"departmentId",result);
        HqlPack.getNumEqualPack(user.getUserStatus(),"userStatus",result);

        if(user.getRoleIdList() != null){
            HqlPack.getInPack(StringUtils.join(user.getRoleIdList(),","),"id",result);
        }

        if(user.getDepartmentIdList() != null){
            HqlPack.getInPack(StringUtils.join(user.getDepartmentIdList(),","),"id",result);
        }

        // And Like % %
        HqlPack.getStringLikerPack(user.getUserName(),"userName",result);
        HqlPack.getStringLikerPack(user.getUserLoginName(),"userLoginName",result);
        HqlPack.getStringLikerPack(user.getUserEmail(),"userEmail",result);
        HqlPack.getStringLikerPack(user.getUserPhone(),"userPhone",result);

        // 添加默认排序
        HqlPack.getOrderDefault(user);

        return  result.toString();
    }

    /**
     * 账号复杂查询
     * @param user
     * @return
     */
    public static DdlPackBean packDdlSysUser(SysUser user){
        DdlPackBean ddlPack = new DdlPackBean();

        // And X = X
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(),"isValid",ddlPack);
        DdlPreparedPack.getNumEqualPack(user.getDepartmentId(),"departmentId",ddlPack);
        DdlPreparedPack.getNumEqualPack(user.getUserStatus(),"userStatus",ddlPack);

        if(user.getRoleIdList() != null){
            DdlPreparedPack.getInPack(user.getRoleIdList(),"id",ddlPack);
        }

        if(user.getDepartmentIdList() != null){
            DdlPreparedPack.getInPack(user.getDepartmentIdList(),"id",ddlPack);
        }

        // And Like % %
        DdlPreparedPack.getStringLikerPack(user.getUserName(),"userName",ddlPack);
        DdlPreparedPack.getStringLikerPack(user.getUserLoginName(),"userLoginName",ddlPack);
        DdlPreparedPack.getStringLikerPack(user.getUserEmail(),"userEmail",ddlPack);
        DdlPreparedPack.getStringLikerPack(user.getUserPhone(),"userPhone",ddlPack);

        // 添加默认排序
        DdlPreparedPack.getOrderDefault(user);
        DdlPreparedPack.getOrderByPack(new Object[]{1}, new String[]{"createDatetime"}, ddlPack);

        return  ddlPack;
    }

    /**
     * 查询字典代码是否重复
     * @param dictionary
     * @return
     */
    public static String packHqlSysDictionaryCode(SysDictionary dictionary){
        StringBuffer result = new StringBuffer();

        // and
        HqlPack.getStringEqualPack(dictionary.getDictionaryCode(),"dictionaryCode",result);
        HqlPack.getNumEqualPack(dictionary.getParentId(),"parentId",result);
        HqlPack.getNumEqualPack(dictionary.getDictionarySoftType(),"dictionarySoftType",result);
        // not
        HqlPack.getNumNOEqualPack(dictionary.getId(),"id",result);

        // 添加默认排序
        HqlPack.getOrderDefault(dictionary);

        return result.toString();
    }

    /**
     * 查询字典值是否重复
     * @param dictionary
     * @return
     */
    public static String packHqlSysDictionaryValue(SysDictionary dictionary){
        StringBuffer result = new StringBuffer();

        // and
        HqlPack.getStringEqualPack(dictionary.getDictionaryValue(),"dictionaryValue",result);
        HqlPack.getNumEqualPack(dictionary.getParentId(),"parentId",result);
        HqlPack.getNumEqualPack(dictionary.getDictionarySoftType(),"dictionarySoftType",result);
        // not
        HqlPack.getNumNOEqualPack(dictionary.getId(),"id",result);

        // 添加默认排序
        HqlPack.getOrderDefault(dictionary);

        return result.toString();
    }

    /**
     * 用户信息 复杂查询拼接
     * @param userInfo
     * @return
     */
    public static String packHqlSysUserInfo(SysUserInfo userInfo){
        StringBuffer result = new StringBuffer();

        // And
        HqlPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(),"isValid",result);
//        HqlPack.getNumEqualPack(userInfo.getOrganizeId(),"organizeId",result);
//        HqlPack.getNumEqualPack(userInfo.getDepartmentId(),"departmentId",result);
        HqlPack.getNumEqualPack(userInfo.getPositionId(),"positionId",result);
        HqlPack.getNumEqualPack(userInfo.getUserInfoStatus(),"userInfoStatus",result);

        if(userInfo.getDepartmentIdList() != null && userInfo.getDepartmentIdList().size() > 0){
            HqlPack.getInPack(StringUtils.join(userInfo.getDepartmentIdList(), ","), "departmentId", result);
        }

        // Like
        HqlPack.getStringLikerPack(userInfo.getName(),"name",result);
        HqlPack.getStringLikerPack(userInfo.getUserEmpNo(),"userEmpNo",result);

        // 添加默认排序
        HqlPack.getOrderDefault(userInfo);

        return  result.toString();
    }

    /**
     * 用户信息 复杂查询拼接
     * @param userInfo
     * @return
     */
    public static String packHqlSysUserInfo(SysUserInfo userInfo,List<Long> idList){
        StringBuffer result = new StringBuffer();

        // And
        HqlPack.getNumEqualPack(userInfo.getUserInfoStatus(),"userInfoStatus",result);
        if(idList != null && idList.size() > 0){
            HqlPack.getInPack(StringUtils.join(idList, ","), "id", result);
        }

        // Like
        HqlPack.getStringLikerPack(userInfo.getName(),"name",result);
        HqlPack.getStringLikerPack(userInfo.getUserEmpNo(),"userEmpNo",result);

        // 添加默认排序
        HqlPack.getOrderDefault(userInfo);

        return  result.toString();
    }

    /**
     * 查询语言代码是否重复
     * @param localeLanguage
     * @return
     */
    public static String packHqlSysLocaleLanguageCode(SysLocaleLanguage localeLanguage){
        StringBuffer result = new StringBuffer();

        HqlPack.getStringEqualPack(localeLanguage.getLanguageCode(),"languageCode",result);
        HqlPack.getNumNOEqualPack(localeLanguage.getId(),"id",result);

        // 添加默认排序
        HqlPack.getOrderDefault(localeLanguage);

        return result.toString();
    }

    /**
     * 检查系统资源是否重复
     * @param localeResource
     * @return
     */
    public static String packHqlSysLocaleResourceKey(SysLocaleResource localeResource){
        StringBuffer result = new StringBuffer();

        HqlPack.getStringEqualPack(localeResource.getLanguageCode(),"languageCode",result);
        HqlPack.getStringEqualPack(localeResource.getResourceKey(),"resourceKey",result);
        HqlPack.getNumNOEqualPack(localeResource.getId(),"id",result);

        // 添加默认排序
        HqlPack.getOrderDefault(localeResource);

        return result.toString();
    }

    /**
     * 查询规则代码是否重复
     * @param orderNoRule
     * @return
     */
    public static String packHqlSysOrderNoRuleCode(SysOrderNoRule orderNoRule){
        StringBuffer result = new StringBuffer();

        // and
        HqlPack.getStringEqualPack(orderNoRule.getOrderNoRuleCode(),"orderNoRuleCode",result);
        // not
        HqlPack.getNumNOEqualPack(orderNoRule.getId(),"id",result);

        // 添加默认排序
        HqlPack.getOrderDefault(orderNoRule);

        return result.toString();
    }

    /**
     *  单号规则复杂查询，分页，排序
     * @param orderNoRule
     * @return
     */
    public static String packHqlSysOrderNoRule(SysOrderNoRule orderNoRule){
        StringBuffer result =  new StringBuffer();

        HqlPack.getStringLikerPack(orderNoRule.getName(),"name",result);
        HqlPack.getStringLikerPack(orderNoRule.getOrderNoRuleCode(),"orderNoRuleCode",result);
        HqlPack.getNumEqualPack(orderNoRule.getOrderNoRuleStatus(),"orderNoRuleStatus",result);

        // 添加默认排序
        HqlPack.getOrderDefault(orderNoRule);

        return result.toString();
    }

    /**
     * 用户消息关系表负责查询
     * @param sysRefUserMessage
     * @return
     */
    public static String packHqlSysRefUserMessage(SysRefUserMessage sysRefUserMessage){
        StringBuffer result =  new StringBuffer();

        HqlPack.getNumEqualPack(sysRefUserMessage.getMessageTypeRdd(),"messageTypeRdd",result);
        HqlPack.getStringLikerPack(sysRefUserMessage.getMessageTitleRdd(),"messageTitleRdd",result);
        HqlPack.getStringLikerPack(sysRefUserMessage.getMessageSenderNameRdd(),"messageSenderNameRdd",result);
        HqlPack.getNumEqualPack(sysRefUserMessage.getMessageStatus(),"messageStatus",result);
        HqlPack.getStringLikerPack(sysRefUserMessage.getReceiverTime(),"receiverTime",result);
        HqlPack.getNumEqualPack(sysRefUserMessage.getReceiverId(),"receiverId",result);

        // 添加默认排序
        HqlPack.getOrderDefault(sysRefUserMessage);

        return result.toString();
    }

    /**
     * 任务复杂查询
     * @param sysTask
     * @return
     */
    public static String packHqlSysTask(SysTask sysTask){
        StringBuffer result =  new StringBuffer();

        HqlPack.getStringLikerPack(sysTask.getName(),"name",result);

        return result.toString();
    }

    public static String packHqlSysLocaleLanguageExistDefaultByIds(Long[] ids){
        StringBuffer result =  new StringBuffer();

        HqlPack.getInPack(StringUtils.join(ids,","),"id",result);
        HqlPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue(),"isDefault",result);

        return result.toString();
    }

    /**
     * 大小区间比较
     * @param columnName
     * @param min
     * @param max
     * @return
     */
    public static String packHqlByInterval(String columnName,Object min,Object max){
        StringBuffer result =  new StringBuffer();

        HqlPack.getNumSmallerPack(max,columnName,result);
        HqlPack.getNumBiggerPack(min,columnName,result);

        return result.toString();
    }


    /**
     * 字典信息查询id集合中是否存在默认数据
     * @param ids
     * @return
     */
    public static String packHqlSysDictionaryByIdsAndIsDefault(Long[] ids) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getInPack(StringUtils.join(ids,","),"id",result);
        HqlPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue(),"isDefault",result);

        return result.toString();
    }

    /**
     * 条码规则代码是否存在
     * @param sysBarcodeRule
     * @return
     */
    public static String packHqlSysBarcodeRuleCode(SysBarcodeRule sysBarcodeRule){
        StringBuffer result =  new StringBuffer();

        // and
        HqlPack.getStringEqualPack(sysBarcodeRule.getBarcodeRuleCode(),"barcodeRuleCode",result);
        // not
        HqlPack.getNumNOEqualPack(sysBarcodeRule.getId(),"id",result);

        return result.toString();
    }

    /**
     * 条码规则复杂查询
     * @param sysBarcodeRule
     * @return
     */
    public static String packHqlSysBarcodeRule(SysBarcodeRule sysBarcodeRule){
        StringBuffer result =  new StringBuffer();

        HqlPack.getStringLikerPack(sysBarcodeRule.getName(),"name",result);
        HqlPack.getStringLikerPack(sysBarcodeRule.getBarcodeRuleCode(),"barcodeRuleCode",result);

        return result.toString();
    }

    /**
     * 打印模板复杂查询
     * @param sysLabelTemplate
     * @return
     */
    public static String packHqlSysLabelTemplate(SysLabelTemplate sysLabelTemplate) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getStringLikerPack(sysLabelTemplate.getTemplateName(),"templateName",result);
        HqlPack.getStringEqualPack(sysLabelTemplate.getTemplateCode(),"templateCode",result);

        // 添加默认排序
        HqlPack.getOrderDefault(sysLabelTemplate);

        return result.toString();
    }

    /**
     * 打印模板参数复杂查询
     * @param sysLabelTemplateParam
     * @return
     */
    public static String packHqlSysLabelTemplateParams(SysLabelTemplateParam sysLabelTemplateParam) {
        StringBuffer result = new StringBuffer();

        // hql拼接
        HqlPack.getNumEqualPack(sysLabelTemplateParam.getTemplateId(), "templateId", result);
        HqlPack.getStringEqualPack(sysLabelTemplateParam.getTemplateCode(), "templateCode", result);

        // 添加默认排序
        HqlPack.getOrderDefault(sysLabelTemplateParam);

        return result.toString();
    }



    /**
     * 文件代码是否存在
     * @param sysFile 查询条件
     * @return DdlPackBean
     */
    public static DdlPackBean packHqlSysFileCode(SysFile sysFile){
        DdlPackBean ddlPackBean = new DdlPackBean();

        // and
        DdlPreparedPack.getStringEqualPack(sysFile.getFileCode(),"fileCode",ddlPackBean);
        // not
        DdlPreparedPack.getNumNOEqualPack(sysFile.getId(),"id",ddlPackBean);

        return ddlPackBean;
    }
}